com.impinj.stp

## Enum StpApi.VersionType

- java.lang.Object
- - java.lang.Enum<StpApi.VersionType>
  - - com.impinj.stp.StpApi.VersionType

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<StpApi.VersionType>
  Enclosing class:
    StpApi

      public static enum StpApi.VersionType
      extends java.lang.Enum<StpApi.VersionType>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `Impinj.STP.VersionType` The local library or remote device component corresponding to the version.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `VERSION_TYPE_API_HOST` Version of the API on the host.
    `VERSION_TYPE_API_READER` Version of the API on the reader.
    `VERSION_TYPE_FIRMWARE` Version of the reader firmware.
    `VERSION_TYPE_FIRMWARE_CUST` Version of custom application.
    `VERSION_TYPE_FPGA_IMAGE` FPGA bitfile version in reader hardware.
    `VERSION_TYPE_FRAME_READER` Version of the protocol used by the reader.
    `VERSION_TYPE_KODIAK_HOST` Version of the tool used to create the API on the host.
    `VERSION_TYPE_KODIAK_READER` Version of the tool used to create the API on the reader.
    `VERSION_TYPE_UPGRADE_AGENT` Version of the tool which upgrades reader software.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `VERSION_TYPE_API_HOST_VALUE` Version of the API on the host.
    `static int` | `VERSION_TYPE_API_READER_VALUE` Version of the API on the reader.
    `static int` | `VERSION_TYPE_FIRMWARE_CUST_VALUE` Version of custom application.
    `static int` | `VERSION_TYPE_FIRMWARE_VALUE` Version of the reader firmware.
    `static int` | `VERSION_TYPE_FPGA_IMAGE_VALUE` FPGA bitfile version in reader hardware.
    `static int` | `VERSION_TYPE_FRAME_READER_VALUE` Version of the protocol used by the reader.
    `static int` | `VERSION_TYPE_KODIAK_HOST_VALUE` Version of the tool used to create the API on the host.
    `static int` | `VERSION_TYPE_KODIAK_READER_VALUE` Version of the tool used to create the API on the reader.
    `static int` | `VERSION_TYPE_UPGRADE_AGENT_VALUE` Version of the tool which upgrades reader software.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<StpApi.VersionType>` | `internalGetValueMap()`
    `static StpApi.VersionType` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static StpApi.VersionType` | `valueOf(int value)`
    `static StpApi.VersionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StpApi.VersionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VERSION_TYPE_KODIAK_HOST

          public static final StpApi.VersionType VERSION_TYPE_KODIAK_HOST

      Version of the tool used to create the API on the host.

    - #### VERSION_TYPE_KODIAK_READER

          public static final StpApi.VersionType VERSION_TYPE_KODIAK_READER

      Version of the tool used to create the API on the reader.

    - #### VERSION_TYPE_FRAME_READER

          public static final StpApi.VersionType VERSION_TYPE_FRAME_READER

      Version of the protocol used by the reader.

    - #### VERSION_TYPE_API_HOST

          public static final StpApi.VersionType VERSION_TYPE_API_HOST

      Version of the API on the host.

    - #### VERSION_TYPE_API_READER

          public static final StpApi.VersionType VERSION_TYPE_API_READER

      Version of the API on the reader.

    - #### VERSION_TYPE_FIRMWARE

          public static final StpApi.VersionType VERSION_TYPE_FIRMWARE

      Version of the reader firmware.

    - #### VERSION_TYPE_FIRMWARE_CUST

          public static final StpApi.VersionType VERSION_TYPE_FIRMWARE_CUST

      Version of custom application.

    - #### VERSION_TYPE_UPGRADE_AGENT

          public static final StpApi.VersionType VERSION_TYPE_UPGRADE_AGENT

      Version of the tool which upgrades reader software.

    - #### VERSION_TYPE_FPGA_IMAGE

          public static final StpApi.VersionType VERSION_TYPE_FPGA_IMAGE

      FPGA bitfile version in reader hardware.

  - ### Field Detail

    - #### VERSION_TYPE_KODIAK_HOST_VALUE

          public static final int VERSION_TYPE_KODIAK_HOST_VALUE

      Version of the tool used to create the API on the host.
      See Also:
        Constant Field Values

    - #### VERSION_TYPE_KODIAK_READER_VALUE

          public static final int VERSION_TYPE_KODIAK_READER_VALUE

      Version of the tool used to create the API on the reader.
      See Also:
        Constant Field Values

    - #### VERSION_TYPE_FRAME_READER_VALUE

          public static final int VERSION_TYPE_FRAME_READER_VALUE

      Version of the protocol used by the reader.
      See Also:
        Constant Field Values

    - #### VERSION_TYPE_API_HOST_VALUE

          public static final int VERSION_TYPE_API_HOST_VALUE

      Version of the API on the host.
      See Also:
        Constant Field Values

    - #### VERSION_TYPE_API_READER_VALUE

          public static final int VERSION_TYPE_API_READER_VALUE

      Version of the API on the reader.
      See Also:
        Constant Field Values

    - #### VERSION_TYPE_FIRMWARE_VALUE

          public static final int VERSION_TYPE_FIRMWARE_VALUE

      Version of the reader firmware.
      See Also:
        Constant Field Values

    - #### VERSION_TYPE_FIRMWARE_CUST_VALUE

          public static final int VERSION_TYPE_FIRMWARE_CUST_VALUE

      Version of custom application.
      See Also:
        Constant Field Values

    - #### VERSION_TYPE_UPGRADE_AGENT_VALUE

          public static final int VERSION_TYPE_UPGRADE_AGENT_VALUE

      Version of the tool which upgrades reader software.
      See Also:
        Constant Field Values

    - #### VERSION_TYPE_FPGA_IMAGE_VALUE

          public static final int VERSION_TYPE_FPGA_IMAGE_VALUE

      FPGA bitfile version in reader hardware.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static StpApi.VersionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StpApi.VersionType c : StpApi.VersionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StpApi.VersionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static StpApi.VersionType valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<StpApi.VersionType> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static StpApi.VersionType valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)